%define upstream_name	 Finance-Bank-LaPoste
%define upstream_version 7.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Check your "La Poste" accounts from Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/P/PI/PIXEL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Graphics::Magick)
BuildRequires: perl(HTML::Form)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

Requires:   perl(Crypt::SSLeay)
%description
This module provides a read-only interface to the Videoposte online
banking system at <https://www.videoposte.com/>.

The interface of this module is similar to other Finance::Bank modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%{makeinstall_std}

%files 
%doc Changes META.yml README
%{perl_vendorlib}/Finance/Bank/*
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 7.90.0-5.mga6
+ Revision: 1027629
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 7.90.0-4.mga6
+ Revision: 941416
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 7.90.0-3.mga5
+ Revision: 741204
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.90.0-2.mga5
+ Revision: 684796
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 7.90.0-1.mga5
+ Revision: 664846
- update to 7.09

* Fri Oct 18 2013 umeabot <umeabot> 7.60.0-3.mga4
+ Revision: 511710
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 7.60.0-2.mga3
+ Revision: 367503
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 01 2011 jquelin <jquelin> 7.60.0-1.mga2
+ Revision: 137548
- update to 7.06

* Tue Apr 12 2011 jquelin <jquelin> 7.50.0-1.mga1
+ Revision: 83761
- update to 7.05

* Fri Mar 18 2011 jquelin <jquelin> 7.40.0-1.mga1
+ Revision: 74116
- update to 7.04

* Thu Jan 20 2011 jquelin <jquelin> 7.30.0-1.mga1
+ Revision: 26233
- mageia rebuild
- imported package perl-Finance-Bank-LaPoste

